Bug 18578 - Use subdirectory in /tmp for session storage during installation
Summary: Use subdirectory in /tmp for session storage during installation
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-11 07:13 UTC by Marcel de Rooy
Modified: 2017-05-24 03:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18578: Use subdirectory in /tmp for session storage during installation (2.18 KB, patch)
2017-05-11 07:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18578: Use subdirectory in /tmp for session storage during installation (2.21 KB, patch)
2017-05-12 10:44 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18578: Use subdirectory in /tmp for session storage during installation (2.28 KB, patch)
2017-05-18 18:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-05-11 07:13:53 UTC
Apply the change from bug 15553 to InstallAuth.pm too.
Comment 1 Marcel de Rooy 2017-05-11 07:39:23 UTC
Created attachment 63376 [details] [review]
Bug 18578: Use subdirectory in /tmp for session storage during installation

Apply the change from bug 15553 to InstallAuth.pm too.

Test plan:
[1] Remove all cgisess_* files from your /tmp directory.
[2] Remove directory /tmp/cgisess_koha_[your instance], if there.
[3] Run the webinstaller
    /cgi-bin/koha/installer/install.pl?step=1&op=updatestructure
[4] Check if you have cgisess_ files in /tmp/cgisess_koha_[your instance].

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Josef Moravec 2017-05-12 10:44:39 UTC
Created attachment 63423 [details] [review]
[SIGNED-OFF] Bug 18578: Use subdirectory in /tmp for session storage during installation

Apply the change from bug 15553 to InstallAuth.pm too.

Test plan:
[1] Remove all cgisess_* files from your /tmp directory.
[2] Remove directory /tmp/cgisess_koha_[your instance], if there.
[3] Run the webinstaller
    /cgi-bin/koha/installer/install.pl?step=1&op=updatestructure
[4] Check if you have cgisess_ files in /tmp/cgisess_koha_[your instance].

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2017-05-12 10:49:09 UTC
Thanks Josef
Comment 4 Jonathan Druart 2017-05-18 18:44:18 UTC
Created attachment 63541 [details] [review]
Bug 18578: Use subdirectory in /tmp for session storage during installation

Apply the change from bug 15553 to InstallAuth.pm too.

Test plan:
[1] Remove all cgisess_* files from your /tmp directory.
[2] Remove directory /tmp/cgisess_koha_[your instance], if there.
[3] Run the webinstaller
    /cgi-bin/koha/installer/install.pl?step=1&op=updatestructure
[4] Check if you have cgisess_ files in /tmp/cgisess_koha_[your instance].

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2017-05-19 14:47:04 UTC
Pushed to master for 17.05, thanks Marcel!
Comment 6 Katrin Fischer 2017-05-21 21:42:13 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 7 Julian Maurice 2017-05-22 14:28:26 UTC
Pushed to 3.22.x for 3.22.21
Comment 8 Mason James 2017-05-24 03:15:13 UTC
Pushed to 16.05.x, for 16.05.13 release